---
#------------------------------------------------------------
# This is the schema for preorder configuration version 3.0
# Based on product configuration version 3.0 (hence the version name)
#------------------------------------------------------------

#------------------------------------------------------------
# Type alias
#------------------------------------------------------------
type_alias:  
  rss_feed_type:
    type: map
    map_schema:
      source:
        required: yes
      name:
        required: yes
      url_root:
        type: http
        required: yes
      title_max_length:
        type: number
        required: yes
      description_max_length:
        type: number
        required: yes

  rss_feed_list_type:
    type: list
    list_type: rss_feed_type

  additional_content_type:
    type: map
    map_schema:
      name:
      thumb_image_url:
      description:
      download_url:

  custom_urls_list_type:
    type: map
    map_schema:
      url:
        required: yes
      title:
        required: yes

  #------------------------------------------------------------
  # Root type
  #------------------------------------------------------------
  root_type:
    type: map
    map_schema:
      name:
        required: yes
      background_image:
        required: yes
      thumb_image:
        required: yes
      logo_image:
        required: no
      dialog_image:
        required: no
      icon_image:
        required: no
      release_date:
        required: no
      cd_key_required:
        type: yesno
      news:
        type: rss_feed_list_type		
      facebook_url:
      homepage_url:
      help_url:
      forum_url:
      survey_url:
        type: http
        required: no
      display_name:
        required: no
      additional_content:
        type: list
        list_type: additional_content_type
      sort_string:
      custom_urls:
        type: list
        list_type: custom_urls_list_type
      preload_available_date:
        required: no

  localization_type:
    type: map

#--------------------------------------------------------------
# Schema
#--------------------------------------------------------------
schema:
  type: map
  map_schema:
    # Specifies the version of the configuration
    version:
      required: yes
    # This is where the root of the configuration is found
    root:
      type: root_type
      required: yes
    # Localizations are optional and can be skipped
    localizations:
      type: map
      map_type: localization_type
          
